import Translation from '@/plugins/translation'
import BootstrapVue from 'bootstrap-vue'
import { createApp } from 'vue'
import VueToast from 'vue-toast-notification'
import VueLogger from 'vuejs-logger'

import App from './App.vue'
import router from './router'
import store from './store'

import 'vue-toast-notification/dist/theme-default.css'
import '../node_modules/bootstrap-vue/dist/bootstrap-vue.css'
import '../node_modules/bootstrap/scss/bootstrap.scss'
import './assets/custom.scss'
import './assets/styles/tailwind.css'

const app = createApp(App)

app.use(store)
app.use(router)
app.use(VueLogger, {
  isEnabled: true,
  logLevel:
    ['debug', 'info', 'warn', 'error', 'fatal'].indexOf(import.meta.env.VUE_APP_LOGLEVEL) === -1
      ? 'warn'
      : import.meta.env.VUE_APP_LOGLEVEL,
  stringifyArguments: false,
  showLogLevel: true,
  showMethodName: false,
  separator: '|',
  showConsoleColors: true,
})
app.use(BootstrapVue)
app.use(Translation)
app.use(VueToast, { position: 'bottom-left' })
store.$log = app.$log
app.mount('#app')
